Subject: Re: bug#62720: 29.0.60; Not easy at all to upgrade :core packages like Eglot

From: Eli Zaretskii <[email-masked]>
Date: Sat, 22 Apr 2023 11:33:35 +0300

> Date: Sat, 22 Apr 2023 03:57:03 +0300
> From: Dmitry Gutov <[email-masked]>
> Cc: [email-masked], [email-masked], [email-masked],
>  [email-masked], [email-masked], [email-masked]
> 
> > That's what I imagined: adding a new optional argument to 
> > package--updateable-packages which would include builtins in the result.
> > 
> > And only pass it when called from package-upgrade.
> > 
> > Hopefully that's the kind of optional that you meant.
> 
> Here's a patch which does that. The diff could be reduced (the 
> package-update part) by binding the new option 
> (package-install-upgrade-built-in), but I figured it's better to avoid 
> interdependency while we're still deciding what to keep.

Thanks, but this is not what was being discussed, AFAIU.  What I said
I'd agree to is to have package-update accept a prefix argument and
heed package-install-upgrade-built-in (perhaps renamed), and only then
update built-in packages.

I also don't think I like the significant changes in package-update,
nor understand why they are needed.